
<form name="editForm" role="form" novalidate ng-submit="vm.save()" show-validation>

    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                ng-click="vm.clear()">&times;</button>
        <h4 class="modal-title" id="myPathologyLabel" data-translate="probioticApp.pathology.home.createOrEditLabel">Create or edit a Pathology</h4>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" ng-show="vm.pathology.id">
            <label for="id" data-translate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                    ng-model="vm.pathology.id" readonly />
        </div>
        <div class="form-group">
            <label class="control-label" data-translate="probioticApp.pathology.name" for="field_name">Name</label>
            <input type="text" class="form-control" name="name" id="field_name"
                    ng-model="vm.pathology.name"
                    required/>
            <div ng-show="editForm.name.$invalid">
                <p class="help-block"
                    ng-show="editForm.name.$error.required" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>
        </div>

        <div class="form-group">
            <label class="control-label" data-translate="probioticApp.pathology.acronym" for="field_acronym">Acronym</label>
            <input type="text" class="form-control" name="acronym" id="field_acronym"
                    ng-model="vm.pathology.acronym"
                    required/>
            <div ng-show="editForm.acronym.$invalid">
                <p class="help-block"
                    ng-show="editForm.acronym.$error.required" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>
        </div>

        <div class="form-group">
            <label data-translate="probioticApp.pathology.pathologytype">Pathologytype</label>
            <div class="row" ng-form="pathologytypes">
                <div ng-repeat="pathologytype in vm.pathologytypes" class="col-md-6 action-checkbox" >
                    <input  id="pathologytype-{{pathologytype.id}}" type="checkbox"
                            ng-true-value="{{pathologytype.id}}" ng-checked="vm.pathology.pathologytypeId" ng-model="vm.pathology.pathologytypeId">
                    <label class="control-label" for="pathologytype-{{pathologytype.id}}">
                        {{pathologytype.name}}
                    </label>
                    </input>

                </div>
            </div>

            <div ng-show="!vm.pathology.pathologytypeId">
                <p class="help-block"
                   ng-show="!vm.pathology.pathologytypeId" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>

            <div class="text-center">
                <jhi-item-count page="vm.page" total="vm.queryCount" items-per-page="vm.itemsPerPage"></jhi-item-count>
                <uib-pagination class="pagination-sm" total-items="vm.totalItems" items-per-page="vm.itemsPerPage"
                                ng-model="vm.page" ng-change="vm.transitionPathologytype()"></uib-pagination>
            </div>

        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" ng-click="vm.clear()">
            <span class="glyphicon glyphicon-ban-circle"></span>&nbsp;<span data-translate="entity.action.cancel">Cancel</span>
        </button>
        <button  type="submit" ng-disabled="editForm.$invalid || !vm.pathology.pathologytypeId || vm.isSaving" class="btn btn-primary">
            <span class="glyphicon glyphicon-save"></span>&nbsp;<span data-translate="entity.action.save">Save</span>
        </button>
    </div>
</form>
